/* global ajaxurl, vrn_admin, wp */

jQuery( function ( $ ) {
	'use strict';

	$( ' #_vrn_get_excluded_products_to_display, #_vrn_get_included_products_to_display, #_vrn_get_included_categories, #_vrn_get_excluded_categories' ).select2();

	$( '#_vrn_enabled_for_loged_in_users, #_vrn_enabled_for_guest_users' ).change( function () {
		if ( $( '#_vrn_enabled_for_loged_in_users' ).is( ':checked' ) || $( '#_vrn_enabled_for_guest_users' ).is( ':checked' ) ) {
			$( '#_vrn_enabled_in_checkout' ).closest( 'tr' ).show();
		} else {
			$( '#_vrn_enabled_in_checkout' ).closest( 'tr' ).hide();
		}
	} ).change();

	//For the Product restriction filter.
	$( '#_vrn_get_product_select_type' ).change( function () {
		$( '#_vrn_get_included_products' ).closest( 'tr' ).hide();
		$( '#_vrn_get_excluded_products' ).closest( 'tr' ).hide();
		$( '#_vrn_get_included_categories' ).closest( 'tr' ).hide();
		$( '#_vrn_get_excluded_categories' ).closest( 'tr' ).hide();

		if ( 'included-products' === this.value || 'excluded-products' === this.value ) {
			if ( 'included-products' === this.value ) {
				$( '#_vrn_get_included_products' ).closest( 'tr' ).show();
			} else {
				$( '#_vrn_get_excluded_products' ).closest( 'tr' ).show();
			}
		} else if ( 'included-categories' === this.value || 'excluded-categories' === this.value ) {
			if ( 'included-categories' === this.value ) {
				$( '#_vrn_get_included_categories' ).closest( 'tr' ).show();
			} else {
				$( '#_vrn_get_excluded_categories' ).closest( 'tr' ).show();
			}
		}
	} ).change();
} );
